Subject: Re: Bug? diff.submodule=log adds text to commit -v message

From: Jens Lehmann <[email-masked]>
Date: Wed, 13 Nov 2013 19:37:53 +0100

Am 12.11.2013 23:20, schrieb Junio C Hamano:
> Jens Lehmann <[email-masked]> writes:
> 
>> Am 12.11.2013 08:46, schrieb Johannes Sixt:
>>> Am 11.11.2013 22:29, schrieb Jens Lehmann:
>>>> The diff below fixes the problem you describe for me. (But I do not
>>>> consider it a worthwhile fix in its current form because a line
>>>> starting with "Submodule " might appear in a perfectly normal commit
>>>> message, while "diff --git " most probably won't).
>>>
>>> And on top of that, "Submodule " originates from a translatable string,
>>> doesn't it?
>>
>> This would also be true for the marker line that Peff proposed:
>>
>>   # Everything below this line is a diff that will be removed.
>>
>> But I suspect that would be ok if the marker would be both added
>> and searched for in its translated form. Or is it possible that
>> the locale changes between those two steps?
> 
> If we were introducing a divider line for machine consumption, I do
> not think it is wise to let that line even translated...

Ok, but then it won't mean much to readers who don't understand
English. I assume prefixing all diff lines with "# " is out of
the question because of backwards compatibility, so what about
using a descriptive text together with a scissor line? The former
can be be translated (and won't make it into the commit message
because it starts with a "#") while the latter serves as a robust
divider line:

# Everything below the following line is a diff that will be removed.
# --------------------------------8<--------------------------------